Skip site navigation (1) Skip section navigation (2)

alpha2 initdb PG_CONTROL_VERSION incompatibility?

From: Lou Picciano <loupicciano(at)comcast(dot)net>
To: pgsql-testers <pgsql-testers(at)postgresql(dot)org>
Subject: alpha2 initdb PG_CONTROL_VERSION incompatibility?
Date: 2009-11-03 17:03:08
Message-ID: 45852385.6334361257267788690.JavaMail.root@sz0093a.westchester.pa.mail.comcast.net (view raw or flat)
Thread:
Lists: pgsql-testers
Fellow testers: 

We've just implemented a fresh build of 8.5alpha2 Solaris 10 SPARC ... 

Interestingly, the server reports: 

FATAL: database files are incompatible with server 
DETAIL: The database cluster was initialized with PG_CONTROL_VERSION 843, but the server was compiled with PG_CONTROL_VERSION 851 

Strangely, these datafiles were init'd by 8.5 alpha1, and that server has been running without objection. 

However, we see the same log messages with 8.5 alpha2 against a freshly init'd cluster, built with alpha2's initdb command, or when using data init'd by alpha1. 

Weird! 

Lou 

Responses

pgsql-testers by date

Next:From: Greg SmithDate: 2009-11-03 20:17:42
Subject: Re: alpha2 initdb PG_CONTROL_VERSION incompatibility?
Previous:From: Josh BerkusDate: 2009-10-31 17:22:50
Subject: Re:

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group